OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_CurveElementIntervalConstant Class Reference

Representation of STEP entity CurveElementIntervalConstant
.

`#include <StepFEA_CurveElementIntervalConstant.hxx>`

Inheritance diagram for StepFEA_CurveElementIntervalConstant:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_CurveElementIntervalConstant ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepFEA_CurveElementLocation)&aCurveElementInterval_FinishPosition, const Handle(StepBasic_EulerAngles)&aCurveElementInterval_EuAngles, const Handle(StepElement_CurveElementSectionDefinition)&aSection)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepElement_CurveElementSectionDefinition | Section () const
| Returns field Section .
Standard_EXPORT void | SetSection (const Handle(StepElement_CurveElementSectionDefinition)&Section)
| Set field Section .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepElement_CurveElementSectionDefinition | theSection

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_CurveElementIntervalConstant::StepFEA_CurveElementIntervalConstant | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_CurveElementIntervalConstant::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_CurveElementInterval.

Standard_EXPORT void StepFEA_CurveElementIntervalConstant::Init | ( | const Handle(StepFEA_CurveElementLocation)& | aCurveElementInterval_FinishPosition,
|  | const Handle(StepBasic_EulerAngles)& | aCurveElementInterval_EuAngles,
|  | const Handle(StepElement_CurveElementSectionDefinition)& | aSection
| ) |

Standard_EXPORT Handle_StepElement_CurveElementSectionDefinition StepFEA_CurveElementIntervalConstant::Section | ( |  | ) | const

Standard_EXPORT void StepFEA_CurveElementIntervalConstant::SetSection | ( | const Handle(StepElement_CurveElementSectionDefinition)& | Section | ) |

## Field Documentation

Handle_StepElement_CurveElementSectionDefinition StepFEA_CurveElementIntervalConstant::theSection`[private]`

The documentation for this class was generated from the following file:

- StepFEA_CurveElementIntervalConstant.hxx